# -*- coding: utf-8 -*-
from __future__ import annotations

import uuid

import factory

from hotpocket_backend.apps.accounts.models import AuthKey


class AuthKeyFactory(factory.django.DjangoModelFactory):
    account_uuid = None
    key = factory.LazyFunction(lambda: str(uuid.uuid4()))
    consumed_at = None

    class Meta:
        model = AuthKey
